.ticket {
    position: relative;
    height: 161px;
    padding: 0 25px;
    padding-top: 25px;
}

.ticket:nth-child(n + 2) {
    margin-top: 20px;
}

.ticket .ticket__airline-logo {
    width: 80%;
    display: block;
    margin: 0 auto;
    object-fit: cover;
}

.ticket button {
    margin-top: 15px;
}

.ticket .ticket__stops {
    width: 160px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

@media (max-width: 767px) {
    .ticket {
        height: initial;
        padding: 10px 15px;
    }

    .ticket .ticket__airline-logo {
        width: 30%;
        display: initial;
    }

    .ticket button {
        position: absolute;
        right: 0;
        top: 0;
        margin-top: 0;
    }

    .ticket .ticket-col-info {
        margin-top: 25px;
    }
}

@media (max-width: 575px) {
    .ticket-col-info {
        flex-direction: column;
    }

    .ticket__place-info {
        text-align: left !important;
    }

    .ticket__place-info:nth-child(n+2) {
        margin-top: 25px;
    }

    .ticket .ticket__stops {
        width: 130px;
        left: initial;
        right: 0;
        bottom: 60px;
        transform: initial;
        transform: rotate(90deg);
    }
}